Loading...
Searching...
No Matches
Halide::ImplicitVar< N > Struct Template Reference

`#include <Var.h>`

## Public Member Functions

Var | to_var () const
| operator Var () const
| operator Expr () const

## Detailed Description

template<int N = -1>
struct Halide::ImplicitVar< N >

Definition at line 168 of file Var.h.

## Member Function Documentation

## to_var()

template<int N = -1>

Var Halide::ImplicitVar< N >::to_var | ( |  | ) | const

inline

Definition at line 169 of file Var.h.

References Halide::Var::implicit().

Referenced by operator Expr(), and operator Var().

## operator Var()

template<int N = -1>

Halide::ImplicitVar< N >::operator Var | ( |  | ) | const

inline

Definition at line 177 of file Var.h.

References to_var().

## operator Expr()

template<int N = -1>

Halide::ImplicitVar< N >::operator Expr | ( |  | ) | const

inline

Definition at line 180 of file Var.h.

References to_var().

The documentation for this struct was generated from the following file:

- src/Var.h